Subject: [PATCH v3] ARM: KVM: Unmap IPA on memslot delete/move

From: [email-masked] (Marc Zyngier)
Date: Fri, 06 Jun 2014 11:39:50 +0100

On Fri, Jun 06 2014 at 10:16:03 am BST, Christoffer Dall <[email-masked]> wrote:
> On Fri, Jun 06, 2014 at 11:10:23AM +0200, Eric Auger wrote:
>> Currently when a KVM region is deleted or moved after
>> KVM_SET_USER_MEMORY_REGION ioctl, the corresponding
>> intermediate physical memory is not unmapped.
>> 
>> This patch corrects this and unmaps the region's IPA range
>> in kvm_arch_commit_memory_region using unmap_stage2_range.
>> 
>> Signed-off-by: Eric Auger <[email-masked]>
>
> I think I already acked it in the last version, if Marc is ok with it, I
> can queue it for next.

Yes, I'm quite happy for this to go in.

Acked-by: Marc Zyngier <[email-masked]>

Thanks,

	M.
-- 
Jazz is not dead. It just smells funny.